cURL
curl --request PATCH \
--url https://api.alcamine.com/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"version": {
"config": {
"llm": {
"provider": "OPENAI",
"temperature": 1
},
"tts": {
"provider": "CARTESIA",
"model": "SONIC_2",
"voiceId": "<string>"
},
"stt": {
"provider": "DEEPGRAM",
"model": "NOVA_3"
}
},
"systemPrompt": "<string>",
"knowledgeBaseId": "<string>",
"inputMode": [],
"followUp": true
},
"name": "<string>",
"description": "<string>",
"slug": "<string>"
}
'{
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"workspaceId": "<string>",
"publishedVersionId": "<string>",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"sourceTemplateId": "<string>",
"archivedBy": "<string>",
"completedBy": "<string>",
"publishedBy": "<string>",
"version": {
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"agentId": "<string>",
"version": -1,
"workspaceId": "<string>",
"sourceAgentVersionId": "<string>",
"themeId": "<string>",
"incentiveAmount": 500050,
"incentiveCurrencyCode": "USD",
"maxParticipants": -1,
"languages": [],
"inputMode": [],
"knowledgeBaseId": "<string>",
"followUp": true,
"limitToKnowledgeBase": true,
"timezone": "<string>",
"agentFlowId": "<string>",
"config": {
"llm": {
"provider": "OPENAI",
"temperature": 1
},
"tts": {
"provider": "CARTESIA",
"model": "SONIC_2",
"voiceId": "<string>"
},
"stt": {
"provider": "DEEPGRAM",
"model": "NOVA_3"
}
},
"systemPrompt": "<string>"
},
"archivedAt": "2023-12-25T00:00:00.000Z",
"completedAt": "2023-12-25T00:00:00.000Z",
"publishedAt": "2023-12-25T00:00:00.000Z"
}Agents
Update an Agent
PATCH
/
agents
/
{id}
cURL
curl --request PATCH \
--url https://api.alcamine.com/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"version": {
"config": {
"llm": {
"provider": "OPENAI",
"temperature": 1
},
"tts": {
"provider": "CARTESIA",
"model": "SONIC_2",
"voiceId": "<string>"
},
"stt": {
"provider": "DEEPGRAM",
"model": "NOVA_3"
}
},
"systemPrompt": "<string>",
"knowledgeBaseId": "<string>",
"inputMode": [],
"followUp": true
},
"name": "<string>",
"description": "<string>",
"slug": "<string>"
}
'{
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"workspaceId": "<string>",
"publishedVersionId": "<string>",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"sourceTemplateId": "<string>",
"archivedBy": "<string>",
"completedBy": "<string>",
"publishedBy": "<string>",
"version": {
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"agentId": "<string>",
"version": -1,
"workspaceId": "<string>",
"sourceAgentVersionId": "<string>",
"themeId": "<string>",
"incentiveAmount": 500050,
"incentiveCurrencyCode": "USD",
"maxParticipants": -1,
"languages": [],
"inputMode": [],
"knowledgeBaseId": "<string>",
"followUp": true,
"limitToKnowledgeBase": true,
"timezone": "<string>",
"agentFlowId": "<string>",
"config": {
"llm": {
"provider": "OPENAI",
"temperature": 1
},
"tts": {
"provider": "CARTESIA",
"model": "SONIC_2",
"voiceId": "<string>"
},
"stt": {
"provider": "DEEPGRAM",
"model": "NOVA_3"
}
},
"systemPrompt": "<string>"
},
"archivedAt": "2023-12-25T00:00:00.000Z",
"completedAt": "2023-12-25T00:00:00.000Z",
"publishedAt": "2023-12-25T00:00:00.000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Update agent
Maximum string length:
24Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"
Maximum string length:
24Maximum string length:
24Maximum string length:
255Maximum string length:
500Maximum string length:
255Available options:
DRAFT, ARCHIVED, PUBLISHED, COMPLETED Maximum string length:
24Maximum string length:
24Maximum string length:
24Maximum string length:
24Show child attributes
Show child attributes
Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"
⌘I